single-select dropdown list

### Hierarchy

- SuiComponentBase
  - SuiDropdownComponent
    - SuiDropdownComposite

## Index

### Constructors

- constructor

### Accessors

- html

### Methods

- bind
- handleChanged
- makeClasses

## Constructors

### constructor

- new SuiDropdownComponent(dialog: SuiDialogNotifier, parameter: SuiDropdownComponentParams): SuiDropdownComponent

- Overrides SuiComponentBase.constructor

  - Defined in src/ui/dialogs/components/dropdown.ts:43

  #### Parameters

  - ##### dialog: SuiDialogNotifier

  - ##### parameter: SuiDropdownComponentParams

  #### Returns SuiDropdownComponent

## Accessors

### html

- get html(): DomBuilder

- Overrides SuiComponentBase.html

  - Defined in src/ui/dialogs/components/dropdown.ts:55

  #### Returns DomBuilder

## Methods

### bind

- bind(): void

- Overrides SuiComponentBase.bind

  - Defined in src/ui/dialogs/components/dropdown.ts:109

  Called by the dialog after rendering, so the derived class can bind the html controls

  #### Returns void

### handleChanged

- handleChanged(): void

- Inherited from SuiComponentBase.handleChanged

  - Defined in src/ui/dialogs/components/baseComponent.ts:138

  Called by the derived class when the value changes. The change flag is set to true, so the dialog will know which component changed.

  #### Returns void

### makeClasses

- makeClasses(classes: string): string

- Inherited from SuiComponentBase.makeClasses

  - Defined in src/ui/dialogs/components/baseComponent.ts:148

  combine component classes with string, used for composites

  #### Parameters

  - ##### classes: string

    string ot append

  #### Returns string

  combined strings

Generated using TypeDoc